Summary: Meta-package providing services for atrpms
Name: atrpms
Version: 73.1
Release: 1
License: GPL
Group: System Environment/Base
URL: http://ATrpms.net/
Source20: RPM-GPG-KEY.redhat
Source21: RPM-GPG-KEY.atrpms
Source22: RPM-GPG-KEY.freshrpms
Source23: http://newrpms.sunsite.dk/gpg-pubkey-newrpms.txt
Source24: http://dag.wieers.com/packages/RPM-GPG-KEY.dag.txt
Source25: http://apt.bea.ki.se/biorpms/RPM-GPG-KEY.biorpms
Source26: RPM-PGP-KEY.redhat
Source27: BETA-GPG-KEY.rawhide
Source28: RPM-GPG-KEY.redhat-fedora
Source29: http://ccrma.stanford.edu/planetccrma/apt/configuration/all/RPM-GPG-KEY.planetccrma.txt
Source30: check4updates.cron
Source31: check4updates
Source32: check4updates.init
Source33: check4updates.sysconfig
Source40: addcustomkmdl
Source50: atrpms.sh
Source51: atrpms.csh
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Requires: /bin/bash
Provides: atrpms-kmdl-helper = %{evr}
Provides: atrpms-perl-module-helper = %{evr}

%description
This package contains auxilary tools and files for atrpms packages. It
contains

o runtime support for other atrpms packages
  (for example kernel modules and perl modules).
o GPG/PGP keys.

Configuration files for apt and yum have been split to %{name}-package-config.

%package -n check4updates
Summary: Daily mails about available updates
Group: System Environment/Base
Obsoletes: atrpms <= 67
Requires: atrpms

%description -n check4updates
This package contains auxilary tools and files for atrpms packages. It
contains daily depsolver checking on updates.

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/atrpms

# The GPG/PGP keys for rpm signatures
cp -a %{SOURCE20} %{SOURCE21} %{SOURCE22} \
	%{SOURCE25} %{SOURCE26} %{SOURCE27} %{SOURCE28} \
	%{buildroot}%{_datadir}/atrpms

cp -a %{SOURCE23} %{buildroot}%{_datadir}/atrpms/RPM-GPG-KEY.newrpms
cp -a %{SOURCE24} %{buildroot}%{_datadir}/atrpms/RPM-GPG-KEY.dag
cp -a %{SOURCE29} %{buildroot}%{_datadir}/atrpms/RPM-GPG-KEY.ccrma

# The update scripts
mkdir -p %{buildroot}%{_sysconfdir}/cron.daily
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -p %{SOURCE30} %{buildroot}%{_sysconfdir}/cron.daily/0check4updates
install -p -m 0755 %{SOURCE31} %{buildroot}%{_sbindir}/check4updates
install -p -m 0755 %{SOURCE33} %{buildroot}%{_sysconfdir}/sysconfig/check4updates

mkdir -p %{buildroot}%{_datadir}/atrpms
install -p %{SOURCE40} %{buildroot}%{_datadir}/atrpms/
mkdir -p %{buildroot}/usr/lib{,64}/atrpms
#cp -a %{buildroot}%{_datadir}/atrpms/addcustomkmdl %{buildroot}/usr/lib/atrpms
#cp -a %{buildroot}%{_datadir}/atrpms/addcustomkmdl %{buildroot}/usr/lib64/atrpms

mkdir %{buildroot}%{_sysconfdir}/profile.d
install -p %{SOURCE50} %{SOURCE51} %{buildroot}%{_sysconfdir}/profile.d/

%clean
rm -rf %{buildroot}

%post
if [ "$1" = 1 ]; then
  for key in \
    gpg-pubkey-db42a60e-37ea5438,RPM-GPG-KEY.redhat \
    gpg-pubkey-66534c2b-3e60b428,RPM-GPG-KEY.atrpms \
    gpg-pubkey-e42d547b-3960bdf1,RPM-GPG-KEY.freshrpms \
    gpg-pubkey-b8693f2c-3f48c249,RPM-GPG-KEY.newrpms \
    gpg-pubkey-6b8d79e6-3f49313d,RPM-GPG-KEY.dag \
    gpg-pubkey-bbf04688-4018dbeb,RPM-GPG-KEY.biorpms \
    gpg-pubkey-68d9802a-406db022,RPM-GPG-KEY.ccrma \
    gpg-pubkey-4f2a6fd2-3f9d9d3b,RPM-GPG-KEY.redhat-fedora \
  ; do
    :
    #rpm -e --allmatches `echo $key | awk -F, '{print $1}'` > /dev/null 2>&1 || :
    #rpm --import /usr/share/atrpms/`echo $key | awk -F, '{print $2}'`
  done
  for key in \
    gpg-pubkey-66534c2b-3e60b428,RPM-GPG-KEY.atrpms \
  ; do
    :
    #rpm -e --allmatches `echo $key | awk -F, '{print $1}'` > /dev/null 2>&1 || :
    rpm --import /usr/share/atrpms/`echo $key | awk -F, '{print $2}'`
  done
fi

%files
%defattr(-,root,root,-)
%doc
%dir %{_datadir}/atrpms
%{_datadir}/atrpms/addcustomkmdl
#/usr/lib/atrpms/addcustomkmdl
#/usr/lib64/atrpms/addcustomkmdl
%{_datadir}/atrpms/*-KEY.*

%{_sysconfdir}/profile.d/atrpms.sh
%{_sysconfdir}/profile.d/atrpms.csh

%files -n check4updates
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/sysconfig/check4updates
%{_sysconfdir}/cron.daily/0check4updates
%{_sbindir}/check4updates

%changelog
* Mon Jan  5 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 73-1
- Fix mail invocation (bug #1465) by Henrique Martins <bugzilla-atrpms-2008@martins.cc>.

* Wed Jan  2 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 71-1
- Update expiry date of ATrpms' key.

* Tue Dec 19 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 68-1
- Split off check4updates.
- Update expiry date of ATrpms' key.

* Sun Nov 27 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update expiry date of ATrpms' key.

* Sat Apr 17 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Added PlanetCCRMA key.

* Wed Mar 31 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Added BIOrpms key.

* Thu Mar  4 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Drop compatibility dependencies to presence of apt and yum.
- Comment gstreamer entries, the repo is currently offline.
- Add BIOrpms to default configuration.
- Split atrpms and atrpms-package-config packages.

* Mon Feb  9 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add mirrors.
- Add spc repository.

* Wed Jan 21 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Reintroduced dependencies on (neutral) apt/yum config files,
  seems the previous change broke some setups :(

* Mon Jan 19 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- New FC1 entries: kde-redhat and dries repository.
- Remove dependency on apt, apt package takes care of this now.

* Thu Jan  8 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Fixed typo in check4updates.
- Remove dependency of atrpms package on yum's config. Remaining
  apt dependency will be dropped upon next apt package rebuild.

* Mon Jan  5 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Splitted config files into a separated package.
- Removed pseudo-service for check4updates.

* Tue Dec 16 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- yum config for RH7.3 pointed to Dag's RH8.0 repo, fixed.

* Wed Nov 26 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Commented NyQuist (discussing with maintainer about epoch inflation).

* Tue Nov 25 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add PlanetCCRMA to fc1 configs.
- Change some JPackage mirrors.

* Tue Nov 11 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Added dag repo to FC1 config.

* Fri Nov  7 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Move ayo.us -> ayo.
- Added freshrpms to FC1 config.
- Changed default mirror for Jpackage.

* Mon Nov  3 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Added kde-redhat.
- Change rawhide -> fc1.

* Tue Oct 21 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Added some more repos (not available for all distributons):
  - vlugnet.org
  - GStreamer
  - kernel 2.6 test rpms
  - NyQuist 
- Extended some repo configs to more distributions.

* Tue Jun 24 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Fast bug fix release, as the package was unintentionally published
  in the middle of a transition state :(

* Mon Jun 23 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Moved configuration files, update scripts and GPG keys from apt to here.
- Moved configuration files from yum to here.

* Sun Apr  6 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.


